Index: trunk/hal/tsar_mips32/core/hal_exception.c
===================================================================
--- trunk/hal/tsar_mips32/core/hal_exception.c	(revision 619)
+++ trunk/hal/tsar_mips32/core/hal_exception.c	(revision 625)
@@ -189,5 +189,5 @@
     if( CURRENT_THREAD->type != THREAD_USER )
     {
-        printk("\n[KERNEL PANIC] in %s : illegal thread type %s\n",
+        printk("\n[PANIC] in %s : illegal thread type %s\n",
         __FUNCTION__, thread_type_str(CURRENT_THREAD->type) );
 
@@ -250,5 +250,5 @@
             else if( error == EXCP_USER_ERROR )      // illegal vaddr
             {
-                printk("\n[USER ERROR] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
+                printk("\n[ERROR] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
                 "  %s : epc %x / badvaddr %x / is_ins %d\n",
                 __FUNCTION__, this->process->pid, this->trdid, local_cxy,
@@ -260,5 +260,5 @@
             else  // error == EXCP_KERNEL_PANIC  
             {
-                printk("\n[KERNEL PANIC] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
+                printk("\n[PANIC] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
                 "  %s : epc %x / badvaddr %x / is_ins %d\n",
                 __FUNCTION__, this->process->pid, this->trdid, local_cxy,
@@ -272,5 +272,5 @@
         case MMU_READ_PRIVILEGE_VIOLATION:   // illegal 
         {
-            printk("\n[USER ERROR] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
+            printk("\n[ERROR] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
             "  %s : epc %x / badvaddr %x / is_ins %d\n",
             __FUNCTION__, this->process->pid, this->trdid, local_cxy,
@@ -299,5 +299,5 @@
             else if( error == EXCP_USER_ERROR )  // illegal write access
             {
-                    printk("\n[USER ERROR] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
+                    printk("\n[ERROR] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
                     "  %s : epc %x / badvaddr %x / is_ins %d\n",
                     __FUNCTION__, this->process->pid, this->trdid, local_cxy,
@@ -309,5 +309,5 @@
             else   // error == EXCP_KERNEL_PANIC
             {
-                printk("\n[KERNEL PANIC] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
+                printk("\n[PANIC] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
                 "  %s : epc %x / badvaddr %x / is_ins %d\n",
                 __FUNCTION__, this->process->pid, this->trdid, local_cxy,
@@ -320,5 +320,5 @@
         case MMU_READ_EXEC_VIOLATION:        // user error
         {
-            printk("\n[USER ERROR] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
+            printk("\n[ERROR] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
             "  %s : epc %x / badvaddr %x / is_ins %d\n",
             __FUNCTION__, this->process->pid, this->trdid, local_cxy,
@@ -330,5 +330,5 @@
         default:                             // this is a kernel error    
         {
-            printk("\n[KERNEL PANIC] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
+            printk("\n[PANIC] in %s : thread[%x,%x] on core[%x,%x] / cycle %d\n"
             "  %s : epc %x / badvaddr %x / is_ins %d\n",
             __FUNCTION__, this->process->pid, this->trdid, local_cxy,
@@ -346,8 +346,6 @@
 //////////////////////////////////////////////////////////////////////////////////////////
 // @ this     : pointer on faulty thread descriptor.
-// @ error    : EXCP_USER_ERROR or EXCP_KERNEL_PANIC
-//////////////////////////////////////////////////////////////////////////////////////////
-static void hal_exception_dump( thread_t * this,
-                                error_t    error )
+//////////////////////////////////////////////////////////////////////////////////////////
+static void hal_exception_dump( thread_t * this )
 {
     core_t    * core    = this->core;
@@ -366,14 +364,6 @@
     remote_busylock_acquire( lock_xp );
 
-    if( error == EXCP_USER_ERROR )
-    {
-        nolock_printk("\n=== USER ERROR / thread(%x,%x) / core[%d] / cycle %d ===\n",
-        process->pid, this->trdid, core->lid, (uint32_t)hal_get_cycles() );
-    }
-    else
-    {
-        nolock_printk("\n=== KERNEL PANIC / thread(%x,%x) / core[%d] / cycle %d ===\n",
-        process->pid, this->trdid, core->lid, (uint32_t)hal_get_cycles() );
-    }
+    nolock_printk("\n=== thread(%x,%x) / core[%d] / cycle %d ===\n",
+    process->pid, this->trdid, core->lid, (uint32_t)hal_get_cycles() );
 
 	nolock_printk("busylocks = %d / blocked_vector = %X / flags = %X\n\n",
@@ -507,5 +497,5 @@
 	if( error == EXCP_USER_ERROR )          //  user error => kill user process
 	{
-        hal_exception_dump( this , error );
+        hal_exception_dump( this );
 
         sys_exit( EXIT_FAILURE );
@@ -513,5 +503,5 @@
     else if( error == EXCP_KERNEL_PANIC )   // kernel error => kernel panic
     {
-        hal_exception_dump( this , error );
+        hal_exception_dump( this );
 
         hal_core_sleep();
